Subject: apsfilter-1.5 - printcap filter with filetype auto recognition (PS,DVI,ASCII,DATA)
From: [email-masked] (Andreas Klemm)
Date: 30 Jan 1994 13:17:23 +0200
Newsgroups: comp.os.linux.announce

I uploaded a new version of apsfilter (1.5) to ftp.Germany.EU.Net !

It enables a non postscript printer to print PS, DVI and ASCII
files automatically in typing simply 

	lpr Any_File_Type

Here a short descriptiion. The info how to get apsfilter is found at 
the end of this article.

#
# apsfilter_1.5 ------ TEXT / PS / DVI output filter  -----------
#                      =============================
#
#		for Unix Systems with BSD alike print mechanism (lpd, printcap)
#
#		by Andreas Klemm <[email-masked]>
#
#				Sun Jan 23 17:57:20 GMT+0100 1994
# ______________________________________________________________________________
#
#
# Features:	- Enables non-Postscript printers to print PS files
# --------	- automatically recognizes filetypes
#		  (currently supported ascii / data / postscript / TeX DVI)
#		  using the Unix command file(1) ( -> /etc/magic)
#		- uses gs and dvips as filter to process PS && DVI files
#		- initializes the printer to fine default values (HP only)
#		- if a print fault occurs when using dvips or gs:
#			-> ejects loaded paper automatically
#			-> root will be notified via e-mail (NOTIFY variable)
#			-> leaves the tmp file in $TMP_DIR
#		- resets printer after a printjob (HP's only)
#
# Installation:
# ------------	- HP Deskjet Family		-> plug and play ;-)
#		- printer supported by gs	-> configure and play ;->
#
#		Normally only two steps are necessary
#
#		- modify /etc/printcap: set ``of'' variable 
#		  (see example in this file)
#		- modify some global variables in this script

This script enables me for example to print any of the supported filetypes 
(PS, DVI, ASCII, Data) automatically on my HP DeskJet 500. 

This is possible for any other printer that is supported by ghostscript 
(laserjet, deskjet, nec, epson, ... compatible printers). 
Type gs -h to see what I mean ;-)

Major changes since apsfilter-1.3:
---------------------------------
o I changed the copyright to the GPL, since in my first public 
  version it was to rigid. My fault .. but now everything is ok !

o Main feature in this version is a total rewrite of the configuration
  section that makes printer specific modifications very simple !

future aims: (with your kind help, since I haven't all printers available):
--------------------------------------------------------------------------

On the long run I want to make the printer specific section of the script
so complete, that every printer (which is also supported by ghostscript), 
runs out of the box for all four file types ! (The goal is, that every
printer is treated similar (left margin when printing ascci files, ...). 

I hope, that this package could become a standard for Linux distributions. 

The configuration task is reduced to the task to set _ONE_
environment variable called ``PRINTER''.
It contains the name of the printer driver from ghostscript,
that is needed by ghostscript to handle a users printer.

Not more is necessary to get the above described functionality !!!

HOW to get it:
-------------

I put it into the incoming directory of ftp.germany.EU.net
Linux Administrators will sooner or later move it to another
location in the Linux directory tree. If this happens, then
try to get the index file ls-lgR,gz, Then you'll find it looking
for apsfilter. Since this server is also a ftp mail server, you
can get the filter even if you have no ftp possibilities:

Via ftp - preferred way !!!
---------------------------

	ftp ftp.germany.eu.net

	cd pub/comp/i386/Linux/Incoming.EUnet
	hash
	binary				<=== !!!
	get apsfilter_1.5.tgz

Via ftp mail:
------------

	mail [email-masked]
	Subject: <none>
	limit 1024k
	uuencode
	send comp/i386/Linux/Incoming.EUnet/apsfilter_1.5.tgz
	quit

Be careful ! In the same directory is an empty file called apsfilter-1.5.tgz.
The ftp servers file system was full, when I first tried to upload the package.
Since I had no permissions to overwrite the file I had to rename it.

The correct file to ftp is apsfilter_1.5.tgz
				    ^

Hope it's useful for you ;-)

	Andreas ///

-- 
Andreas Klemm                 /\/\____ Wiechers & Partner Datentechnik GmbH 
[email-masked] ___/\/\/     [email-masked] (Unix Support)

-- 
Andreas Klemm                 /\/\____ Wiechers & Partner Datentechnik GmbH 
[email-masked] ___/\/\/     [email-masked] (Unix Support)

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.